import { renderless, api } from '@opentinyvue/vue-renderless/time-line-new/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import { IconChevronDown, IconChevronUp } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["click"],
  props: [].concat(props, ["vertical", "nameField", "timeField", "tipsField", "autoColorField", "data", "space", "subField", "foldDisabled", "nodeMax", "limitedNodes"]),
  components: {
    IconChevronDown: IconChevronDown(),
    IconChevronUp: IconChevronUp()
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "inline-flex flex-col",
    attrs: {
      "data-tag": "tiny-timeline"
    }
  }, [_vm._l(_vm.state.stackNodes, function(node, index) {
    return _c("div", {
      key: index,
      class: ["inline-flex", _vm.getStatusCls(index)],
      style: {
        height: index === _vm.state.stackNodes.length - 1 ? "" : _vm.space && _vm.space + "px"
      },
      attrs: {
        "data-tag": "tiny-timeline-nodes"
      }
    }, [_c("ul", {
      staticClass: "inline-flex sm:items-start",
      attrs: {
        "data-tag": "tiny-timeline-list"
      }
    }, [_vm.subField ? _vm._t("left", function() {
      return [_c("li", {
        staticClass: "text-color-text-secondary text-left pr-0.5 inline-flex text-xs"
      }, [_c("div", {
        staticClass: "sm:inline-block hidden leading-5 w-32"
      }, [_c("span", [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).date))]), _c("span", {
        staticClass: "ml-1"
      }, [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).time))])]), _c("div", {
        staticClass: "sm:hidden inline-flex flex-col leading-5.5 w-20"
      }, [_c("span", {
        staticClass: "text-sm"
      }, [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).date))]), _c("span", {
        staticClass: "text-sm mb-6"
      }, [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).time))])])])];
    }, {
      "slotScope": node
    }) : _vm._e(), _c("li", {
      staticClass: "ml-1.5 relative h-full",
      style: {
        height: index === _vm.state.stackNodes.length - 1 ? "" : _vm.space && _vm.space + "px"
      },
      attrs: {
        "data-tag": "tiny-timeline-autocolor"
      }
    }, [_c("div", {
      class: ["sm:w-px absolute mt-4 h-[calc(100%-theme(spacing.3))]", {
        "sm:bg-color-bg-3 sm:border-0 border-l-0.5 border-l-color-bg-3": index !== _vm.state.stackNodes.length - 1
      }]
    }), _c("div", {
      staticClass: "mt-1 w-3 h-3 leading-3 box-border relative text-xs text-center -ml-1.5 cursor-pointer inline-flex items-center justify-center align-top"
    }, [typeof node[_vm.autoColorField] === "string" ? _c("span", {
      class: ["rounded-full block w-1.5 h-1.5", node[_vm.autoColorField] === "success" && "bg-color-success", node[_vm.autoColorField] === "error" && "bg-color-error", node[_vm.autoColorField] === "info" && "bg-color-text-disabled"]
    }) : !node[_vm.autoColorField] ? _c("span", {
      class: ["rounded-full block w-1.5 h-1.5 bg-color-brand"]
    }) : _c(node[_vm.autoColorField], {
      tag: "component"
    })], 1)]), !_vm.subField ? _vm._t("left", function() {
      return [_c("li", {
        staticClass: "sm:text-color-text-secondary text-color-text-placeholder text-left sm:pl-3 pl-2 inline-flex flex-col sm:flex-row",
        attrs: {
          "data-tag": "tiny-timeline-list-left"
        }
      }, [_c("span", {
        staticClass: "inline-block sm:text-xs text-sm sm:leading-5 leading-5.5"
      }, [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).date) + " " + _vm._s(_vm.getDate(node[_vm.timeField]).time))]), node[_vm.nameField] ? _c("span", {
        staticClass: "sm:hidden inline-block sm:leading-5 leading-5.5 text-sm overflow-hidden text-ellipsis whitespace-nowrap max-w-[theme(spacing.56)] mb-6 text-color-text-primary"
      }, [_vm._v(_vm._s(node[_vm.nameField]))]) : _vm._e(), node[_vm.tipsField] ? _c("span", {
        staticClass: "sm:hidden max-w-[theme(spacing.56)] inline-block text-color-icon-secondary text-xs mt-2.5 leading-5"
      }, [_vm._v(_vm._s(node[_vm.tipsField]))]) : _vm._e()])];
    }, {
      "slotScope": node
    }) : _vm._e(), _c("li", {
      class: ["hidden sm:text-xs text-sm text-color-text-primary sm:inline-flex flex-col", _vm.subField ? "ml-4.5" : "ml-3 "]
    }, [_c("span", {
      class: ["inline-block leading-5 sm:text-xs text-sm overflow-hidden text-ellipsis whitespace-nowrap max-w-[theme(spacing.56)]", {
        "mb-4": !_vm.subField
      }]
    }, [_vm._v(_vm._s(node[_vm.nameField]))]), _vm.subField ? _c("span", {
      staticClass: "max-w-[theme(spacing.56)] inline-block text-color-icon-secondary sm:text-xs text-sm leading-5 mb-4 break-all break-words"
    }, [_vm._v(_vm._s(node[_vm.tipsField]))]) : _vm._e()]), _vm.subField ? _c("li", {
      class: ["sm:hidden text-xs text-color-text-primary inline-flex flex-col", _vm.subField ? "ml-4.5" : "ml-3 "]
    }, [_c("span", {
      staticClass: "inline-block leading-5.5 sm:text-xs text-sm overflow-hidden text-ellipsis whitespace-nowrap max-w-[theme(spacing.56)]"
    }, [_vm._v(_vm._s(node[_vm.nameField]))]), node[_vm.tipsField] ? _c("span", {
      staticClass: "max-w-[theme(spacing.56)] break-all break-words leading-5 inline-block text-color-icon-secondary text-xs sm:text-xs"
    }, [_vm._v(_vm._s(node[_vm.tipsField]))]) : _vm._e()]) : _vm._e()], 2)]);
  }), _vm.state.showData ? _c("div", {
    staticClass: "sm:ml-6 ml-5 sm:m-0 my-1 sm:leading-5 sm:h-5 leading-5.5 inline-flex items-center",
    attrs: {
      "data-tag": "tiny-timeline-showdata"
    }
  }, [_c("div", {
    staticClass: "sm:h-3 h-3.5 cursor-pointer inline-flex text-color-brand fill-color-brand sm:text-xs text-sm",
    attrs: {
      "data-tag": "tiny-timeline-status"
    },
    on: {
      "click": _vm.changeStatus
    }
  }, [_vm.state.showAll ? _c("span", {
    staticClass: "inline-flex items-center"
  }, [_vm._v("收起")]) : _c("span", {
    staticClass: "inline-flex items-center"
  }, [_vm._v("展开")]), _vm.state.showAll ? _c("icon-chevron-up", {
    staticClass: "w-3 h-3 sm:ml-2 ml-1 my-px sm:my-0"
  }) : _c("icon-chevron-down", {
    staticClass: "w-3 h-3 sm:ml-2 ml-1 my-px sm:my-0"
  })], 1)]) : _vm._e()], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
