import { renderless, api } from '@opentinyvue/vue-renderless/time-line-new/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import '@opentinyvue/vue-theme/steps/index.css';
import { IconYes, IconError, IconWarning } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["click"],
  props: [].concat(props, ["vertical", "showNumber", "nameField", "timeField", "start", "data", "space", "active", "reverse", "showStatus", "autoColorField"]),
  components: {
    IconYes: IconYes(),
    IconError: IconError(),
    IconWarning: IconWarning()
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-steps"
  }, [!_vm.vertical ? _c("div", {
    staticClass: "tiny-steps-normal"
  }, _vm._l(_vm.state.nodes, function(node, index) {
    return _c("div", {
      key: index,
      class: ["normal", _vm.getStatusCls(index)],
      style: {
        width: _vm.space ? _vm.space + "px" : 100 / _vm.state.nodes.length + "%"
      }
    }, [_vm._t("top", null, {
      "slotScope": node
    }), _c("div", {
      staticClass: "icon",
      on: {
        "click": function click($event) {
          return _vm.handleClick({
            index,
            node
          });
        }
      }
    }, [index >= _vm.state.current ? _c("span", [_vm._v(_vm._s(_vm.showNumber ? index + _vm.start : ""))]) : node[_vm.autoColorField] === "error" ? _c("icon-error", {
      staticClass: "tiny-svg-size fixicon icon-error"
    }) : node[_vm.autoColorField] === "warning" ? _c("icon-warning", {
      staticClass: "tiny-svg-size fixicon icon-warning"
    }) : node[_vm.autoColorField] === "success" || !node[_vm.autoColorField] ? _c("icon-yes", {
      staticClass: "tiny-svg-size fixicon"
    }) : _c(node[_vm.autoColorField], {
      tag: "component",
      staticClass: "fixicons"
    })], 1), _c("div", {
      class: ["line", {
        "line-done": index < _vm.state.current,
        "line-end": index === _vm.state.nodes.length - 1
      }]
    }), _c("div", {
      staticClass: "node-description"
    }, [_vm._t("bottom", function() {
      return [_c("div", {
        staticClass: "name",
        domProps: {
          "textContent": _vm._s(node[_vm.nameField])
        }
      }), _c("div", {
        staticClass: "status"
      }, [_vm._v(" " + _vm._s(_vm.showStatus ? _vm.getStatus(index) : "") + " ")])];
    }, {
      "slotScope": node
    })], 2)], 2);
  }), 0) : _c("div", {
    class: ["tiny-steps-timeline", {
      reverse: _vm.reverse
    }]
  }, _vm._l(_vm.state.nodes, function(node, index) {
    return _c("div", {
      key: index,
      class: ["timeline", _vm.getStatusCls(index)],
      style: {
        height: index === _vm.state.nodes.length - 1 ? "" : _vm.space ? _vm.space + "px" : "88px"
      }
    }, [_c("ul", [_vm._t("left", function() {
      return [_c("li", {
        staticClass: "date-time"
      }, [_c("span", {
        staticClass: "date"
      }, [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).date))]), _c("span", {
        staticClass: "time"
      }, [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).time))])])];
    }, {
      "slotScope": node
    }), _c("li", {
      staticClass: "line",
      style: {
        height: index === _vm.state.nodes.length - 1 ? "" : _vm.space ? _vm.space + "px" : "88px"
      }
    }, [_c("div", {
      staticClass: "icon",
      on: {
        "click": function click($event) {
          return _vm.handleClick({
            index,
            node
          });
        }
      }
    }, [(_vm.reverse ? index > _vm.state.current : index < _vm.state.current) && node[_vm.autoColorField] === "error" ? _c("icon-error", {
      staticClass: "tiny-svg-size fixicon icon-error"
    }) : (_vm.reverse ? index > _vm.state.current : index < _vm.state.current) && node[_vm.autoColorField] === "warning" ? _c("icon-warning", {
      staticClass: "tiny-svg-size fixicon icon-warning"
    }) : (_vm.reverse ? index > _vm.state.current : index < _vm.state.current) && (node[_vm.autoColorField] === "success" || !node[_vm.autoColorField]) ? _c("icon-yes", {
      staticClass: "tiny-svg-size fixicon"
    }) : (_vm.reverse ? index > _vm.state.current : index < _vm.state.current) ? _c(node[_vm.autoColorField], {
      tag: "component",
      staticClass: "fixicons"
    }) : _c("span", [_vm._v(_vm._s(_vm.showNumber ? _vm.reverse ? _vm.state.nodes.length - 1 - index + _vm.start : index + _vm.start : ""))])], 1)]), _vm._t("right", function() {
      return [_c("li", {
        staticClass: "name",
        domProps: {
          "textContent": _vm._s(node[_vm.nameField])
        }
      })];
    }, {
      "slotScope": node
    })], 2)]);
  }), 0)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
